Issue 4019

Summary: New "Paths" info not applied
Product: ui Reporter: Unknown <non-migrated>
Component: uiAssignee: Frank Schönheit <frank.schoenheit>
Status: CLOSED NOT_AN_OOO_ISSUE QA Contact: issues@ui <issues>
Severity: Trivial    
Priority: P2 CC: issues, mail.info
Version: 641   
Target Milestone: AOO PleaseHelp   
Hardware: All   
OS: Linux, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description Unknown 2002-04-14 00:03:46 UTC
When changing the path to "My Documets" (Tools>Options>OpenOffice.org>Paths),
the editted data is not applied.  When saving-as, the default directory is the
orginal, not the editted directory.

Moving to the desired directory using the "Open" dialog and clicking on
"Default" button does affect the change permanently.
Comment 1 Unknown 2002-04-18 05:02:56 UTC
Does this refer to the bug where a Linux install using the "-net" switch 
installs fine, but then has all the paths ( 
Tools/Options//OpenOffice.org/Paths ) set to the system-wide 
installation's subdirectories?
( like Backups	/opt/OpenOffice.org/backup
My Documents	/opt/OpenOffice.org/work )

Or is it a different bug?

Perhaps it refers to ( I hit this, before I figured out that the 
total-lack-of-feedback with the -net install meant success and that there 
/wasn't/ a second-stage to it ) the bit where one installs it system-wide 
/without/ the "-net" switch and discovers that no user can save personal 
data / config information?

( how come it can't use "~/backups" or some such, and create / 
ask-to-create the necessary dirs if needed? )

Right: I just checked, and with a "-net" install, it gets the default paths 
fucked-up, but one /can/ correct whatever ones one can figure-out how 
to correct ( my documents, etc, but does the autotext or autocorrect 
directory need to be user-writeable? ).  Any changes to these paths /are/ 
saved from session to session.

I'm using 641D/Linux ( a soon-to-be-ditched Caldera 3.1 Openlinux -- 
going to SuSE because Caldera went institutional, and the inert aren't 
partners with me. . . )

I /don't/ know if my setting of paths ( My Documents etc ) screws up other 
users of the program ( I don't know if these changes are being saved 
locally to my account or if they are being put in some global setting ), 
simply because I don't /have/ any other users on this system at the 
moment ( except root, and running heavy UI's and java and misc from root 
/isn't/ on. . . )
Comment 2 Unknown 2002-04-18 05:06:39 UTC
Null here. . .

Ah HA! //now// I notice the comment-field from the original post is written 
/below/ this issue's entire listing. . . <sigh>

I think the issue is identified by my comment about a system-wide install 
being done without the "-net" switch.

--original update starts here--
Does this refer to the bug where a Linux install using the "-net" switch 
installs fine, but then has all the paths ( 
Tools/Options//OpenOffice.org/Paths ) set to the system-wide 
installation's subdirectories?
( like Backups	/opt/OpenOffice.org/backup
My Documents	/opt/OpenOffice.org/work )

Or is it a different bug?

Perhaps it refers to ( I hit this, before I figured out that the 
total-lack-of-feedback with the -net install meant success and that there 
/wasn't/ a second-stage to it ) the bit where one installs it system-wide 
/without/ the "-net" switch and discovers that no user can save personal 
data / config information?

( how come it can't use "~/backups" or some such, and create / 
ask-to-create the necessary dirs if needed? )

Right: I just checked, and with a "-net" install, it gets the default paths 
fucked-up, but one /can/ correct whatever ones one can figure-out how 
to correct ( my documents, etc, but does the autotext or autocorrect 
directory need to be user-writeable? ).  Any changes to these paths /are/ 
saved from session to session.

I'm using 641D/Linux ( a soon-to-be-ditched Caldera 3.1 Openlinux -- 
going to SuSE because Caldera went institutional, and the inert aren't 
partners with me. . . )

I /don't/ know if my setting of paths ( My Documents etc ) screws up other 
users of the program ( I don't know if these changes are being saved 
locally to my account or if they are being put in some global setting ), 
simply because I don't /have/ any other users on this system at the 
moment ( except root, and running heavy UI's and java and misc from root 
/isn't/ on. . . )
Comment 3 Oliver Specht 2002-04-25 10:29:39 UTC
Reassigned to FS
Comment 4 Frank Schönheit 2002-04-25 10:50:54 UTC
Dick,

your bug description is rather ... unintuitive.
Are you working on windows? If so, are you using the system file open
dialog, or the internal one (check this under Tools/Options/General)?
If the system dialog: which Windows?
What is the "Default" button? Do you mean the "default directory" in
the upper left corner of the internal file dialog?
Comment 5 Frank Schönheit 2002-04-25 10:54:28 UTC
"null@openoffice.org",

I reset the target milestone. Silently setting a target without any
justification, is not the way IssueZilla should work, in my opinion.

We can discuss this, though I admit I tend to saying it's no "next
build" issue. The bug (if it is one) is somewhat irritating, but there
seem to exist a one-click workaround (if I understand Dick's original
description correctly), so I don't see a reason to impose such a
pressure on it.

Frank
Comment 6 Frank Schönheit 2002-04-25 10:55:49 UTC
Dick,

sorry for my questions, I just saw that the OS was set to "Linux", so
please forget my questions about your platform :). Still the question
about the default button remains, though now that I know you use the
internal dialog I assume that you mean the upper-left button.

Frank
Comment 7 Unknown 2002-04-26 02:37:08 UTC
In the upper right hand corner of the internal dialog are three buttons:
"up one level", "create new directory" and "default directory" (I
apologize, I think I originally referred to the last button as just
"default".)

If one enters the "Paths" sequence within the "Preferences" under
"Tools" and changes the path to "My Documents", that change does not
become the default selection upon using "File>Open" (or from the
toolbar).  The original value is presented as the default _until_ one
clicks on the "default directory" button within the internal dialog. 
Only then will the new value be used as the default from then on.

I'm sorry about being wordy, but it seems to me that once I've changed
the value within "Tools", that new value ought to be asserted immediately!

I did a straight single-user install on OO.o since this is my personal
machine. I'm running OO.o on a RH 7.2 system with Ximian desktop.  I
was a SO 5.2 user. 
Comment 8 Frank Schönheit 2002-04-26 07:57:17 UTC
Dick,

thanks for the clarification, and: please continue beeing wordy :). I
always strive to, ehm, educate :) submitters of issues to be wordy -
the more info, the better.

can reproduce this on windows (with the internal file dialog), too ->
OS=all

Anyway, I'm not really sure if this is a bug. The point is, the file
open dialog remembers the last location where it was used, and this
location is restored upon the next open (_this_ certainly is a
feature, not a bug :). In this sense, your problem is a bug (only?) if
you did not use the file open dialog before (e.g. there does not exist
a directory from the "previous incarnation" of the dialog).

Perhaps we could add some additional magic which would recognize that
the previous folder is the "old" workfolder, and the new workfolder is
different, and in this case switch to the new folder. But this would
be expensive (some instance would have to remember what the old folder
is and tell it to the dialog the next time it is opened), and I see a
rather small gain from this (there still is this one-click workaround,
isn't it?)....
Besides that, I'm no friend of magic - it always causes trouble later
on :)

Frank
Comment 9 Frank Schönheit 2002-12-19 14:38:06 UTC
setting target milestone to "OOo 2.0" - I don't see this for 1.1, if
any ...
Comment 10 marc.neumann 2003-09-25 14:08:59 UTC
"According to the OpenOffice.org roadmap
(http://tools.openoffice.org/releases) this issue was retargeted to
OOo Later."
Comment 11 Frank Schönheit 2003-10-13 09:20:19 UTC
accepting
Comment 12 ds13 2006-02-20 22:29:07 UTC
Hi, I know this issue is quite old and "inactive", but it seems to be the right one:

As it is mentioned in your earlier postings, OOo obviously remembers the last
directory/folder/path, where you have opened or saved files. So the
file-dialogues don't show the default-directory as it is set in Tools/Preferences.

My problem is that I don't have any button "Default directory" in the open- or
save-file windows. (Using OOo 2.0.1 ger on Windows.) The result seems to be: I
have configured a so called "default directory" which is in fact no default,
since I only can reach it by manually clicking through the whole folder tree -
whenever I have used another directory exceptionally (disk, USB-stick, network,
desktop). (By the way, is this losely related to Issue 3492?)

As an alternative, I can set OOo at Tools->Preferences->OpenOffice.org->Common
to activate "Open/Save-dialogues: Use OOo dialoagues" These (I'm sorry) OOo-own
windows give me the "default"-button, but they are quite uncommon for the common
user - I've spent hours explaining my dad how it works...
Besides, here I miss the shortcut-buttons from the Windows-dialogues linking to
Desktop and network directories.

Would you mind to add an option under Tools->Preferences to toggle, that OOo
shall a) *always* save/load to the default directory or b) to the last one used
(as it does at the moment)?
  I think, a) would be the behaviour the average computer user (including
MSO-migrants) expects.


Bye, thank you! Dirk.
Comment 13 maand 2009-06-13 23:00:56 UTC
Works as designed.
Comment 14 maand 2009-06-13 23:01:32 UTC
Closing